Skip to main content

Reports API

Scheduled report management — create, preview, and send periodic data quality and governance reports.

Endpoints Overview

MethodEndpointDescription
POST/spaces/{slug}/reportsCreate schedule
GET/spaces/{slug}/reportsList schedules
GET/spaces/{slug}/reports/{id}Get schedule
PATCH/spaces/{slug}/reports/{id}Update schedule
DELETE/spaces/{slug}/reports/{id}Delete schedule
GET/spaces/{slug}/reports/{id}/previewPreview report
POST/spaces/{slug}/reports/{id}/sendSend now

Create Schedule

POST /spaces/{slug}/reports
{
"name": "Weekly Quality Summary",
"report_type": "quality_summary",
"frequency": "weekly",
"recipients": ["team@example.com"],
"is_enabled": true
}

Preview Report

GET /spaces/{slug}/reports/{schedule_id}/preview

Generates the report content without sending emails.


Send Now

POST /spaces/{slug}/reports/{schedule_id}/send

Immediately generates and sends the report to all configured recipients.